This forum is no longer active. Please post your questions to our new community site

Mac OS X install web creation failure

Subscribe to Mac OS X install web creation failure 3 post(s), 2 voice(s)

 
Avatar davey64 1 post

I am running Mac OS X 10.6.4 and attempting to install rubystack-2.1-0 and/or rubystack-2.1-0-dev and continue to get the same error during the post install web creation process:

Creating web application.
Executing /Applications/rubystack-2.1-0-dev/ruby/bin/ruby /Applications/rubystack-2.1-0-dev/ruby/bin/rails /Applications/rubystack-2.1-0-dev/projects/rubystack-2.1-0 -d mysql
Script exit code: 1

Script output:
Script stderr:
/Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load — etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
from :235:in `load_full_rubygems_library’
from :343:in `method_missing’
from /Applications/rubystack-2.1-0-dev/ruby/bin/passenger-config:19:in `’
Script stderr:
/Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load — etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
from :235:in `load_full_rubygems_library’
from :343:in `method_missing’
from /Applications/rubystack-2.1-0-dev/ruby/bin/rails:19:in `’

Error running /Applications/rubystack-2.1-0-dev/ruby/bin/ruby /Applications/rubystack-2.1-0-dev/ruby/bin/rails /Applications/rubystack-2.1-0-dev/projects/rubystack-2.1-0 d mysql : /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load - etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
from :235:in `load_full_rubygems_library’
from :343:in `method_missing’
from /Applications/rubystack-2.1-0-dev/ruby/bin/rails:19:in `’
Problem running post-install step. Installation may not complete correctly
Error running /Applications/rubystack-2.1-0-dev/ruby/bin/ruby /Applications/rubystack-2.1-0-dev/ruby/bin/rails /Applications/rubystack-2.1-0-dev/projects/rubystack-2.1-0 d mysql : /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load - etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
Error running /Applications/rubystack-2.1-0-dev/ruby/bin/passenger-config -root : /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load - etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
from :235:in `load_full_rubygems_library’
from :343:in `method_missing’
from /Applications/rubystack-2.1-0-dev/ruby/bin/passenger-config:19:in `’
Problem running post-install step. Installation may not complete correctly
Error running /Applications/rubystack-2.1-0-dev/ruby/bin/passenger-config -root : /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `require’: no such file to load - etc (LoadError)
from /Applications/rubystack-2.1-0-dev/ruby/lib/ruby/site_ruby/1.9.1/rubygems.rb:10:in `<top (required)>’
from :235:in `require’
from :235:in `load_full_rubygems_library’
from :343:in `method_missing’
from /Applications/rubystack-2.1-0-dev/ruby/bin/passenger-config:19:in `’
Starting Apache.

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

It is strange, we are looking into it.

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi,

We can not rperoduce on our side. Could you try to install in another OS X machine? Have you downloaded the PPC or the Intel version?